Property | Type | Description | |
---|---|---|---|
BoundaryFamilyInstance | List |
||
CreateColorByteArrayOfSize | byte[] | ||
CustomRoom | System | ||
CustomRoom | System | ||
FromExisting | |||
GetBoundarySegment | List |
||
GetIdentificationData | string>.Dictionary | ||
GetNearestLevel | Autodesk.Revit.DB.Level | ||
GetTransform | Autodesk.Revit.DB.Transform | ||
InitRoom | void | ||
InitRoom | void | ||
InternalSetRoom | void | ||
Tessellate | void |
Method | Description | |
---|---|---|
ByPoint ( Point point ) : |
Create a Room based on a location
|
|
ByPointAndLevel ( Point point, Revit.Elements.Level level ) : |
Create a Room based on a location and a level
|
|
FromElement ( Revit.Elements.Element element ) : |
Create a Room from an existing Room
|
|
Grid ( double step ) : List |
Return a grid of points in the room
|
|
IsInRoom ( Revit.Elements.Element element ) : bool |
Determine if an element lies within the volume of the Room
|
|
ToString ( ) : string |
OPTIONAL: Overriding ToString allows you to control what is displayed whenever the object's string representation is used. For example, ToString is called when the object is displayed in a Watch node.
|
Method | Description | |
---|---|---|
BoundaryFamilyInstance ( Autodesk.Revit.DB cat ) : List |
Retrive family instance hosted in boundary elements This is the base function for Windows and Doors
|
|
CreateColorByteArrayOfSize ( int size, byte red, byte green, byte blue, byte alpha ) : byte[] | ||
CustomRoom ( Autodesk.Revit.DB room ) : System |
Create from an existing Revit Element
|
|
CustomRoom ( Autodesk.Revit.DB level, Autodesk.Revit.DB point ) : System | ||
FromExisting ( Autodesk.Revit.DB room, bool isRevitOwned ) : |
Create a space from an existing reference
|
|
GetBoundarySegment ( ) : List |
||
GetIdentificationData ( ) : string>.Dictionary |
||
GetNearestLevel ( Autodesk.Revit.DB point ) : Autodesk.Revit.DB.Level |
Find the nearest level in the active document
|
|
GetTransform ( ) : Autodesk.Revit.DB.Transform | ||
InitRoom ( Autodesk.Revit.DB room ) : void |
Initialize a Room element
|
|
InitRoom ( Autodesk.Revit.DB level, Autodesk.Revit.DB point ) : void | ||
InternalSetRoom ( Autodesk.Revit.DB room ) : void |
Set the internal Element, ElementId, and UniqueId
|
|
Tessellate ( IRenderPackage package, |
public static ByPoint ( Point point ) : |
||
point | Point | Location point for the room |
return |
public static ByPointAndLevel ( Point point, Revit.Elements.Level level ) : |
||
point | Point | Location point for the room |
level | Revit.Elements.Level | Level of the room |
return |
public static FromElement ( Revit.Elements.Element element ) : |
||
element | Revit.Elements.Element | The origin element |
return |
public Grid ( double step ) : List |
||
step | double | Lenght between two points |
return | List |
public IsInRoom ( Revit.Elements.Element element ) : bool | ||
element | Revit.Elements.Element | |
return | bool |